Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.om.xdt
Class XDTRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.ihr.xbrl.om.errors.XBRLRuntimeException
                      com.ihr.xbrl.om.xdt.XDTRuntimeException

All Implemented Interfaces:
  java.io.Serializable

    public class XDTRuntimeException

extends XBRLRuntimeException

Author:
  Ignacio
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `XBRLDIE`
`static java.lang.String` | `XBRLDTE`

Constructor Summary
`XDTRuntimeException(javax.xml.namespace.QName qError, java.lang.String string)`

Method Summary
`javax.xml.namespace.QName` | `getQNameError()`

Methods inherited from class com.ihr.xbrl.om.errors.XBRLRuntimeException
`getCode, getValidationException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XBRLDTE

    public static final java.lang.String XBRLDTE

See Also:
  Constant Field Values

### XBRLDIE

    public static final java.lang.String XBRLDIE

See Also:
  Constant Field Values

Constructor Detail

### XDTRuntimeException

    public XDTRuntimeException(javax.xml.namespace.QName qError,
                               java.lang.String string)

Parameters:
  `qError` -
  `string` -

Method Detail

### getQNameError

    public javax.xml.namespace.QName getQNameError()

  Returns:
    QName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD